/** 
 * @brief  Brown Out INT Program for uSesame
 * @param  -
 * @return -
 * 
 */

#include <stdint.h>
#include "uSesame.h"

//************** Main program *******************
int main()
{
  *PORTA |= 0x00;
  Port_Config(PTA, 0, 0, 0x01, 0x00, 0x00, 0x00, 0x00); //PA.0 signals Brownout INT
  BOR_ResetControl(BORRSTDIS);          // Disable Brownout Reset
  BOR_Level(BOR26V);                    // Set Brownout trigger voltage
  BOR_IntControl(BORINTEN);             // Enable Browmout INT
  NVIC_ClearPendingIRQ(BrownOut_IRQn);       // Clear Brownout interrupt pending flag 
  NVIC_EnableIRQ(BrownOut_IRQn);	// Brownout interrupt enabled in NVIC
  while (1)
  {
  }
}

//************** ISR *******************
extern void NMI_Handler( void )
{
  
}

void SysTick_Handler( void )
{
  
}

void BrownOut_Handler ( void )
{
  *PORTA |= 0x01;
  while (1) { };
}

void ClkMon_Handler ( void )
{
  
}

void SS_Handler ( void )
{
  
}

void RFRE_Handler ( void )              // RF Rising Edge
{
  
}

void RFFE_Handler ( void )              // RF Falling Edge
{
  
}

void UART_Handler( void )  		// IRQ 8 UART
{
  
}

void LIN_Handler( void )  		// IRQ 9 LIN
{
  
}

void SPI_Handler( void )  		// IRQ A SPI
{
  
}

void US_Handler( void )  		// IRQ B Ultra-Sound
{
  
}

void RFMSG_Handler( void )  			// IRQ C - RF Message Arrived
{

}

void Default_IRQ_Handler( void )
{
  
}

void Timer0_Handler( void )
{
  
}

void Timer1_Handler( void )
{
  
}

void Timer2_Handler( void )
{
  
}

void Watchdog_Handler( void )
{
  
}

void I2C_Collision_Handler( void )
{

}

void I2C_Handler( void )
{

}

void PIN_Handler ( void )
{  
}


//***************************** End of File ************************************
